Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]Problem with PHP5 and Apache2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
Smatt454
n00b
n00b


Joined: 25 Oct 2007
Posts: 28

PostPosted: Sun Jul 07, 2013 2:31 am    Post subject: [SOLVED]Problem with PHP5 and Apache2 Reply with quote

Greetings.

I am currently in the process of setting up a web server off a first gentoo build.
It's been a while since I set up a server without using lamp, but from what I've read online it should be a pretty simple process.

The steps I took are as follows:
1) emerging apache2
2) emerging php
2) adding " -D PHP5" to APACHE2_OPTS
3) restarting the server.

When I browse my server, I get a file listing (I have and index.php file, and it works with index.html). Image HERE if that helps. I also tried going to http://server/index.php, and it shows it as plain text.

What am I missing?

Relevant info:

Code:

smatt454@sexbox ~ $ cat /etc/conf.d/apache2 | grep APACHE2_OPTS=
APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D LANGUAGE -D PHP5"


Code:

smatt454@sexbox ~ $ cat /etc/portage/make.conf | grep USE=
USE="-ssl -truetype -exif -apache2 -mysql -php -pam -ssl -xml -xml2 -berkdb -inofb -jpeg -png -pcre -session -unicode -irc -simplexml -xml -fpm -cgi"


Code:

smatt454@sexbox ~ $ cat /var/www/localhost/htdocs/index.php
<?php
 echo "hey";
?>


Last edited by Smatt454 on Tue Jul 09, 2013 4:04 pm; edited 4 times in total
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6669
Location: Goose Creek SC

PostPosted: Sun Jul 07, 2013 5:11 am    Post subject: Reply with quote

USE="-ssl -truetype -exif -apache2 -mysql -php -pam -ssl -xml -xml2 -berkdb -inofb -jpeg -png -pcre -session -unicode -irc -simplexml -xml -fpm -cgi" means: don't compile support for ssl, truetype, exif, apache2, mysql, php, pam, ssl, xml, xml2, berkdb, inofb, jpeg, png, pcre, session, unicode, irc, simplexml, xml, fpm, or cgi in any package where such support is an option.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Smatt454
n00b
n00b


Joined: 25 Oct 2007
Posts: 28

PostPosted: Tue Jul 09, 2013 4:04 pm    Post subject: Reply with quote

DONAHUE wrote:
USE="-ssl -truetype -exif -apache2 -mysql -php -pam -ssl -xml -xml2 -berkdb -inofb -jpeg -png -pcre -session -unicode -irc -simplexml -xml -fpm -cgi" means: don't compile support for ssl, truetype, exif, apache2, mysql, php, pam, ssl, xml, xml2, berkdb, inofb, jpeg, png, pcre, session, unicode, irc, simplexml, xml, fpm, or cgi in any package where such support is an option.


D'oh, well don't I feel foolish? :oops: I fixed my USE flags and re-emerged php. That solved the issue. Thanks for clearing that up.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum